Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Add better error message when compiling against wrong 0MQ version.

  • Loading branch information...
commit d268c91486df2e55cbd1100033489dfe627a889f 1 parent 3df834b
@twittner authored
Showing with 6 additions and 3 deletions.
  1. +4 −1 README.md
  2. +1 −1  src/System/ZMQ3/Base.hsc
  3. +1 −1  zeromq3-haskell.cabal
View
5 README.md
@@ -5,7 +5,10 @@ Current status
This software currently has *beta* status, i.e. it had seen limited testing.
-Version 0.1 - First release to provide bindings against 0MQ 3.1.0
+Version 0.1.1 - Include better error message when trying to build against
+ invalid 0MQ version.
+
+Version 0.1 - First release to provide bindings against 0MQ 3.1.0
Installation
------------
View
2  src/System/ZMQ3/Base.hsc
@@ -18,7 +18,7 @@ import Control.Applicative
#include <zmq.h>
#if ZMQ_VERSION_MAJOR != 3
- ERROR__Invalid_0MQ_Version
+ #error *** INVALID 0MQ VERSION (must be 3.x) ***
#endif
newtype ZMQMsg = ZMQMsg { content :: Ptr () }
View
2  zeromq3-haskell.cabal
@@ -1,5 +1,5 @@
name: zeromq3-haskell
-version: 0.1
+version: 0.1.1
synopsis: Bindings to ZeroMQ 3.x
category: System, FFI
license: MIT
Please sign in to comment.
Something went wrong with that request. Please try again.